Pular para o conteúdo principal
POST
/
v1
/
entries
/
verification
Verificar existência de chave Pix
curl --request POST \
  --url https://plugin-pix-direct.api.lerian.net/v1/entries/verification \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "accountId": "<string>",
  "keys": [
    "<string>"
  ]
}
'
import requests

url = "https://plugin-pix-direct.api.lerian.net/v1/entries/verification"

payload = {
"accountId": "<string>",
"keys": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({accountId: '<string>', keys: ['<string>']})
};

fetch('https://plugin-pix-direct.api.lerian.net/v1/entries/verification', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "keys": [
    {
      "exists": true,
      "key": "<string>"
    }
  ],
  "correlationId": "<string>",
  "jdpiReturnedAt": "<string>"
}
{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}

Autorizações

Authorization
string
header
obrigatório

Autenticacao por token JWT Bearer. Obtenha o token no endpoint /v1/login/oauth/access_token usando credenciais do cliente (clientId e clientSecret).

Inclua o token no header Authorization: Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...

O token expira apos 3600 segundos (1 hora).

Corpo

application/json
accountId
string
obrigatório

O id da conta no CRM do chamador (resolve o ISPB do lado do servidor).

keys
string[]
obrigatório

As chaves Pix cuja existência no DICT verificar (1..200).

Required array length: 1 - 200 elements

Resposta

OK

keys
object[] | null
obrigatório

Os resultados de existência por chave.

correlationId
string

Id de correlação do suporte DICT.

jdpiReturnedAt
string

Quando o DICT retornou a verificação (RFC3339).